%% input_call
%   function will open up the ports and data management window if
%   in simulink mode.
% inputs:
%   obj:GUI - GUI objecto
%   src:double - source of the callback calling
%   event:eventdata - event that triggered the callback
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = input_call(object,src,event)
% make sure in simulink mode.
if object.mode == 1
    eml_handle = object.save_call([],[]);
    currentDir = pwd;
    cd([matlabroot filesep 'toolbox' filesep 'stateflow' filesep 'stateflow' filesep 'private']);
    fHandle = @eml_man;
    cd(currentDir);
    fHandle('edit_data_ports', sf('get', get_param(char(eml_handle),'UserData'), '.chart'));
end
end

